Create a contact

Requires the CONTACT.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
A custom reference assigned to the contact.
customer_idstringRequired
The ID of the customer.
emailstringRequiredformat: "(\S*@\S*\..*)"0-256 characters
The email of the contact.
nameobject or nullOptional
A custom name assigned to the contact.
notification_preferenceslist of objects or nullOptional

Notification preferences for contact-related communications.

custom_fieldslist of objects or nullOptional
linked_integrationslist of objects or nullOptional

Response

Created
referencestringformat: "^\S+$"0-256 characters
A custom reference assigned to the contact.
customer_idstring
The ID of the customer.
emailstringformat: "(\S*@\S*\..*)"0-256 characters
The email of the contact.
object_typestring or nullRead-only
idstring or nullRead-only
nameobject or null
A custom name assigned to the contact.
notification_preferenceslist of objects or null

Notification preferences for contact-related communications.

custom_fieldslist of objects or null
linked_integrationslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error